using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsConstructionCodeType
    {
        public FmsConstructionCodeType()
        {
            FmsConstruction = new HashSet<FmsConstruction>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int ConstructionTypeId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        public bool IsUse { get; set; }

        [InverseProperty("FmsConstructionCodeType")]
        public virtual ICollection<FmsConstruction> FmsConstruction { get; set; }
    }
}
